require "src/AnAL"
require "src/char"
require "src/char_woodcut"
require "src/collision"
require "src/commands"
--require "src/inventory"
require "src/otherinv"
require "src/map"
require "src/sound"
require "src/timer"

function love.load()
	math.randomseed(os.time())
	loadTimer()
	sound()
	loadMap()
	loadChar()
	loadCollision()
	loadCommand()
	loadInventory()
	
	--[[
	fishsit = love.graphics.newImage("assets/sprites/skills/fish.png")
	fishing = love.graphics.newImage("assets/sprites/skills/fishing.png")
	fishingAnim = newAnimation(fishing, 25, 35, 0.2, 0)
	fishingAnim:setSpeed(2)
	]]--
	
	gameState = "Game"
end

function love.draw()
	if gameState == "Game" then
		drawMap()
		frontObjDraw()
		drawChar()
		backObjDraw()
		drawCommand()
		
		--[[
		if f then
			--love.graphics.draw(fishsit, 160 + 3, 59)
		end
		if not f then
			--fishingAnim:draw(160, 60)
		end
		]]--
		
		mX, mY = love.mouse.getPosition()
		love.graphics.setColor(0, 0, 0)
			love.graphics.print(mX, mxX, mxY)
			love.graphics.print(mY, myX, myY)
			love.graphics.print(charX, charxX, charxY)
			love.graphics.print(charY, charyX, charyY)
		love.graphics.setColor(255, 255, 255)
		drawInventory()
	end
end

function love.update(dt)
	if gameState == "Game" then
		--updateTimer()
		updateSound()
		updateChar(dt)
		detectCollision()
		updateCommand()
		--updateInventory()
		
		--[[
		fishingAnim:update(dt)
		fishingFrame = fishingAnim:getCurrentFrame()
		if fishingFrame == 4 then
			fishingAnim:stop()
			f = true
		end
		]]--
	end
end

function love.focus(bool)

end

function love.keypressed(key, unicode)
	if gameState == "Game" then
		if not typing then
			pressChar(key, unicode)
		elseif typing then
			pressCommand(key, unicode)
		end
	end
end

function love.keyreleased(key, unicode)
	if gameState == "Game" then
		--if move then
			releaseChar(key, unicode)
		--end
		releaseCommand(key, unicode)
	end
end

function love.mousepressed( mX, mY, button )
	checkTabs(x, y, button)
end

function love.mousereleased( mX, mY, button )
	
end

function love.quit()
	
end