function loadChar()
	--
	up = love.graphics.newImage("assets/sprites/Up/walking.png")
	upAnim = newAnimation(up, 25, 35, 0.2, 4)
	
	runningUp = love.graphics.newImage("assets/sprites/Up/running.png")
	runningUpAnim = newAnimation(runningUp, 25, 35, 0.2, 4)
	
	standingUp = love.graphics.newImage("assets/sprites/Up/standing.png")
	standingUpAnim = newAnimation(standingUp, 25, 35, 0.2, 4)
	--
	down = love.graphics.newImage("assets/sprites/Down/walking.png")
	downAnim = newAnimation(down, 25, 35, 0.2, 4)
	
	runningDown = love.graphics.newImage("assets/sprites/Down/running.png")
	runningDownAnim = newAnimation(runningDown, 25, 35, 0.2, 4)
	
	standingDown = love.graphics.newImage("assets/sprites/Down/standing.png")
	standingDownAnim = newAnimation(standingDown, 25, 35, 0.2, 4)
	--
	left = love.graphics.newImage("assets/sprites/Left/walking.png")
	leftAnim = newAnimation(left, 25, 35, 0.2, 4)
	
	runningLeft = love.graphics.newImage("assets/sprites/Left/running.png")
	runningLeftAnim = newAnimation(runningLeft, 25, 35, 0.2, 4)
	
	standingLeft = love.graphics.newImage("assets/sprites/Left/standing.png")
	standingLeftAnim = newAnimation(standingLeft, 25, 35, 0.2, 4)
	--
	right = love.graphics.newImage("assets/sprites/Right/walking.png")
	rightAnim = newAnimation(right, 25, 35, 0.2, 4)
	
	runningRight = love.graphics.newImage("assets/sprites/Right/running.png")
	runningRightAnim = newAnimation(runningRight, 25, 35, 0.2, 4)
   
	standingRight = love.graphics.newImage("assets/sprites/Right/standing.png")
	standingRightAnim = newAnimation(standingRight, 25, 35, 0.2, 4)
	--
	
	loadWoodcut()
	
	move = true
	charX = 213
	charY = 110
	moveUp = false
	moveDown = false
	moveLeft = false
	moveRight = false
	run = false
	lastDirection = "down"
	directionGoing = ""
	
	currentRunButton = love.graphics.newImage("assets/GUI/Buttons/runoffunpressed.png")
	
	mxX = 5
	mxY = 5
	myX = 5
	myY = 16
	
	charxX = 5
	charxY = 38
	charyX = 5
	charyY = 49
end

function drawChar()
	--love.graphics.draw(currentRunButton, 200, 0)
	drawWoodcut()
	
	if moveUp then
		if run == false then
			upAnim:draw(charX, charY)
		elseif run then
			runningUpAnim:draw(charX, charY)
		end
	end
	if moveDown then
		if run == false then
			downAnim:draw(charX, charY)
		elseif run then
			runningDownAnim:draw(charX, charY)
		end
	end
	if moveLeft then
		if run == false then
			leftAnim:draw(charX, charY)
		elseif run then
			runningLeftAnim:draw(charX, charY)
		end
	end
	if moveRight then
		if run == false then
			rightAnim:draw(charX, charY)
		elseif run then
			runningRightAnim:draw(charX, charY)
		end
	end
	
	if lastDirection == "up" then
		standingUpAnim:draw(charX, charY)
	end
	if lastDirection == "down" then
		standingDownAnim:draw(charX, charY)
	end
	if lastDirection == "left" then
		standingLeftAnim:draw(charX, charY)
	end
	if lastDirection == "right" then
		standingRightAnim:draw(charX, charY)
	end
end

function updateChar(dt)
	--stop char from moving while console opened
	if directionGoing == "" then
		move = false
	elseif directionGoing ~= "" then
		move = true
	end
	
	if typing then
		if move then
			move = false
			moveUp = false
			moveDown = false
			moveLeft = false
			moveRight = false
			lastDirection = "down"
			directionGoing = ""
		end
		woodcutAnim:reset()
	end
	
	if moveUp then
		if run == false then
			upAnim:update(dt)
			charY = charY - 1
		elseif run then
			runningUpAnim:update(dt)
			charY = charY - 4
		elseif not move then
			upAnim:reset()
		end
	end
	if moveDown then
		if run == false then
			downAnim:update(dt)
			charY = charY + 1
		elseif run then
			runningDownAnim:update(dt)
			charY = charY + 4
		end
	end
	if moveLeft then
		if run == false then
			leftAnim:update(dt)
			charX = charX - 1
		elseif run then
			runningLeftAnim:update(dt)
			charX = charX - 4
		end
	end
	if moveRight then
		if run == false then
			rightAnim:update(dt)
			charX = charX + 1
		elseif run then
			runningRightAnim:update(dt)
			charX = charX + 4
		end
	end
	
	updateWoodcut(dt)
end

function pressChar(key, unicode)
	if not skilling then
		if key == "w" then
			moveUp = true
			moveDown = false
			moveLeft = false
			moveRight = false
			lastDirection = ""
			directionGoing = "Up"
		elseif key == "s" then
			moveDown = true
			moveUp = false
			moveLeft = false
			moveRight = false
			lastDirection = ""
			directionGoing = "Down"
		elseif key == "a" then
			moveLeft = true
			moveDown = false
			moveUp = false
			moveRight = false
			lastDirection = ""
			directionGoing = "Left"
		elseif key == "d" then
			moveRight = true
			moveDown = false
			moveLeft = false
			moveUp = false
			lastDirection = ""
			directionGoing = "Right"
		end
	end
	
	pressWoodcut(key, unicode)
end

function releaseChar(key, unicode)
	if moveUp then
		if key == "w" then
			moveUp = false
			upAnim:reset()
			runningUpAnim:reset()
			lastDirection = "up"
			directionGoing = ""
		end
	end
	if moveDown then
		if key == "s" then
			moveDown = false
			downAnim:reset()
			runningDownAnim:reset()
			lastDirection = "down"
			directionGoing = ""
		end
	end
	if moveLeft then
		if key == "a" then
			moveLeft = false
			leftAnim:reset()
			runningLeftAnim:reset()
			lastDirection = "left"
			directionGoing = ""
		end
	end
	if moveRight then
		if key == "d" then
			moveRight = false
			rightAnim:reset()
			runningRightAnim:reset()
			lastDirection = "right"
			directionGoing = ""
		end
	end
	
	releaseWoodcut(key, unicode)
end