function loadCommand()
	--mode = "input"
	userInput = ""
	typing = false

	chars = "0123456789abcdefghijklmnopqrstuvwxyz"
	defaultFont = love.graphics.newFont(12)
	love.graphics.setFont(defaultFont)
	
	c = {}
	c["coords"] = "coords"
	c["help"] = "help"
	c["music"] = "music"
	c["noclip"] = "noclip"
	c["spawn"] = "spawn"
	c["stop"] = "stop"
	c["vsync"] = "vsync"
	c["bonk"] = "bonk"
	
	sX = 1000
	sY = 1000
	
	cSquare = love.graphics.newImage("assets/GUI/Inventory/console.png")
	--[[
	write to console:
	sM()
	console[5][1] = string
	]]--
	console = {}
	console[1] = {"", 8, 270 - 15*4+30}
	console[2] = {"", 8, 270 - 15*3+30}
	console[3] = {"", 8, 270 - 15*2+30}
	console[4] = {"", 8, 270 - 15+30}
	console[5] = {"Use /help for a list of commands", 8, 270+30}
end

function sM()
	for i = 1,4 do
		console[i][1] = console[i+1][1]
	end
end

function drawCommand()
	if typing then
		--love.graphics.draw(cSquare, 0, 212+30)
		love.graphics.print("/", sX, sY)
		love.graphics.print(userInput, 13, 285+30)
		for i = 1,#console do
		love.graphics.print(console[i][1], console[i][2], console[i][3])
		end
	end
end

function updateCommand()
	if love.keyboard.isDown("return") then
		--
		if userInput == c.coords then
			if charxX == 5 then
				mxX = 1000
				mxY = 1000
				myX = 1000
				myY = 1000
				charxX = 1000
				charxY = 1000
				charyX = 1000
				charyY = 1000
				sM()
				console[5][1] = "Coords OFF"
				print ("GUI: Coords OFF")
			elseif charxX == 1000 then
				mxX = 5
				mxY = 5
				myX = 5
				myY = 16
				charxX = 5
				charxY = 38
				charyX = 5
				charyY = 49
				sM()
				console[5][1] = "Coords ON"
				print ("GUI: Coords ON")
			end
		--
		elseif userInput == c.help then
			console[1][1] = "/coords - Displays coords\t\t\t\t\t   /stop - Exits game"
			console[2][1] = "/help - Displays help in console\t\t\t  /vsync - Toggles vsync"
			console[3][1] = "/music - Toggles music"
			console[4][1] = "/noclip - Toggles noclipping (godmode)"
			console[5][1] = "/spawn - Teleports you to spawn"
			print ("GUI: Displayed help")
		--
		elseif userInput == c.music then
			if music then
				music = false
				sM()
				console[5][1] = "Music OFF"
				print ("sound: Music OFF")
			elseif not music then
				music = true
				sM()
				console[5][1] = "Music ON"
				print ("sound: Music ON")
			end
		--
		elseif userInput == c.noclip then
			if run == false then
				currentRunButton = love.graphics.newImage("assets/GUI/Buttons/runonunpressed.png")
				run = true
				sM()
				console[5][1] = "Noclipping Enabled"
				print ("char: Noclipping Enabled")
			elseif run then
				currentRunButton = love.graphics.newImage("assets/GUI/Buttons/runoffunpressed.png")
				run = false
				sM()
				console[5][1] = "Noclipping Disabled"
				print ("char: Noclipping Disabled")
			end
		--
		elseif userInput == c.spawn then
			charX = 213
			charY = 110
			lastDirection = "down"
			directionGoing = ""
			sM()
			console[5][1] = "Teleported to spawn"
			print ("char: Teleported to spawn")
		--
		elseif userInput == c.stop then
			love.event.quit()
		--
		elseif userInput == c.vsync then
			if v then
				love.window.setMode(765, 502, { vsync = false })
				v = false
				sM()
				console[5][1] = "Vsync OFF"
				print ("map: Vsync OFF")
			elseif not v then
				love.window.setMode(765, 502, { vsync = true })
				v = true
				sM()
				console[5][1] = "Vsync ON"
				print ("map: Vsync ON")
			end
		elseif userInput == c.bonk then
			if not b then
				bonk:play()
				bonk:setLooping(true)
				b = true
			elseif b then
				bonk:stop()
				bonk:setLooping(false)
				b = false
			end
		end
		typing = false
		userInput = ""
	end
end

function pressCommand(key, unicode)
	if (key == "backspace") then
		--if backspace is pressed, remove last character from input string
		userInput = string.sub(userInput,1,-2)
		elseif (string.find(chars,key) ~= nil) then
		--if any other button is pressed, only add it to input string if it is a number or letter
			userInput = userInput..key
		end
	--end
end

function releaseCommand(key, unicode)
	if key == "/" or key == "`" then
		if not typing then
			sX = 8
			sY = 285+30
			typing = true
		elseif typing then
			sX = 1000
			sY = 1000
			typing = false
			userInput = ""
		end
	end
end